summaryrefslogtreecommitdiffstats
path: root/infest
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2011-11-29 16:58:30 +0100
committermakefu <github@syntax-fehler.de>2011-11-29 16:58:30 +0100
commited55e0bc475e77c20eb25f09df8c1b13c415d69f (patch)
tree6581d1a4f6f3f59779a1148880b3b23c89aef428 /infest
parentdf68b03094570c25e9f0a337d162c9be8b98a75c (diff)
//infest: add makefu profile
Diffstat (limited to 'infest')
-rwxr-xr-xinfest/profiles/makefu/bootstrap.sh31
m---------infest/profiles/makefu/vim0
l---------infest/profiles/makefu/vimrc1
-rw-r--r--infest/profiles/makefu/zshrc58
4 files changed, 90 insertions, 0 deletions
diff --git a/infest/profiles/makefu/bootstrap.sh b/infest/profiles/makefu/bootstrap.sh
new file mode 100755
index 00000000..e4bad93e
--- /dev/null
+++ b/infest/profiles/makefu/bootstrap.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+set -xeuf
+
+cd $(readlink -f $(dirname $0))
+
+# Backing up false positives
+if [ -e $HOME/.vim ] ; then
+ echo "Backing up old vim folder"
+ mv $HOME/.vim $HOME/.vim.`date +%Y%M%d`
+fi
+
+# write dotfiles
+for dotfile in $(ls .);do
+ [ "./$dotfile" == "$0" ] && continue
+ cp -fr --remove-destination $dotfile $HOME/.$dotfile
+done
+
+#vim vundle
+cd $HOME/.vim
+mkdir bundle
+mkdir backup
+[ -d bundle/vundle ] || \
+ git clone https://github.com/gmarik/vundle.git bundle/vundle
+cd -
+
+vim "+:BundleInstall" "+:qall"
+
+#oh-my-zsh
+chsh -s `which zsh`
+[ -d ~/.oh-my-zsh ] || \
+ git clone https://github.com/robbyrussell/oh-my-zsh.git ~/.oh-my-zsh
diff --git a/infest/profiles/makefu/vim b/infest/profiles/makefu/vim
new file mode 160000
+Subproject 6880b76d9f79c57648df32b5cb3ce7d8e966d2b
diff --git a/infest/profiles/makefu/vimrc b/infest/profiles/makefu/vimrc
new file mode 120000
index 00000000..3f2626c5
--- /dev/null
+++ b/infest/profiles/makefu/vimrc
@@ -0,0 +1 @@
+.vim/vimrc \ No newline at end of file
diff --git a/infest/profiles/makefu/zshrc b/infest/profiles/makefu/zshrc
new file mode 100644
index 00000000..46a02e47
--- /dev/null
+++ b/infest/profiles/makefu/zshrc
@@ -0,0 +1,58 @@
+#custom stuff
+export PATH=$PATH:/krebs/bin:$HOME/bin
+
+# Path to your oh-my-zsh configuration.
+export ZSH=$HOME/.oh-my-zsh
+
+# Set to the name theme to load.
+# Look in ~/.oh-my-zsh/themes/
+export ZSH_THEME="gallifrey"
+#export ZSH_THEME="fishy"
+
+# Set to this to use case-sensitive completion
+# export CASE_SENSITIVE="true"
+
+# Comment this out to disable weekly auto-update checks
+# export DISABLE_AUTO_UPDATE="true"
+
+# Uncomment following line if you want to disable colors in ls
+# export DISABLE_LS_COLORS="true"
+
+# Which plugins would you like to load? (plugins can be found in ~/.oh-my-zsh/plugins/*)
+# Example format: plugins=(rails git textmate ruby lighthouse)
+plugins=(git ssh-agent)
+source $ZSH/oh-my-zsh.sh
+source ~/.bash_alias
+# Customize to your needs...
+HISTFILE=~/.histfile
+HISTSIZE=900000
+SAVEHIST=900000
+#PS1='[%n@%m %~]$ '
+export EDITOR=vim
+#export JAVA_HOME=/usr/lib/jvm/java-6-openjdk
+export JAVA_HOME=/opt/java/jre
+GREP_COLOR="1;33"
+alias ls='ls --color=auto'
+alias grep='grep --color=auto'
+
+export MANPATH=$MANPATH:/home/makefu/man
+
+if [ -f "$HOME/.dircolors" ] ; then
+ eval `dircolors -b "$HOME/.dircolors"`
+ export LS_COLORS
+fi
+
+# node.js
+export PATH=$HOME/local/node/bin:$PATH
+
+fortune -a
+echo "--"
+#test -r ~/EVENTS && cat ~/EVENTS
+task
+echo "--"
+#test -r ~/TODO && cat ~/TODO
+
+test -r ~/Dropbox/shared_shell && source ~/Dropbox/shared_shell
+setopt menu_complete
+unsetopt correct_all
+export PATH=$PATH:/home/makefu/CodeSourcery/Sourcery_G++_Lite/bin